# PSF-LoginServer - master - net.psforever.objects.zones.blockmap.BlockMapEntity
PSF - LoginServer - master - net.psforever.objects.zones.blockmap.BlockMapEntity
Keywords: PSF LoginServer master net.psforever.objects.zones.blockmap.BlockMapEntity

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- BlockMap
- BlockMapEntity
- BlockMapEntry
- Sector
- SectorGroup
- SectorListOf
- SectorPopulation
- SectorTraits

t

net.psforever.objects.zones.blockmap

# BlockMapEntity 

###
Companion object BlockMapEntity

#### trait BlockMapEntity extends WorldEntity

An game object that can be represented on a blockmap. The only requirement is that the entity can position itself in a zone's coordinate space.

Source
  BlockMapEntity.scala
See also

  `BlockMap`

  `WorldEntity`

Linear Supertypes
WorldEntity, AnyRef, Any
Known Subclasses
AmmoBox, BoomerDeployable, BoomerTrigger, ConstructionItem, ExplosiveDeployable, Kit, Player, SensorDeployable, ShieldGeneratorDeployable, SimpleItem, Telepad, TelepadDeployable, Tool, TrapDeployable, TurretDeployable, Vehicle, BaseDeployable, Deployable, Equipment, LockerEquipment, Door, GantryDenialField, PieceOfEnvironment, Pool, SeaLevel, Generator, CaptureFlag, CaptureFlagSocket, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, Building, WarpGate, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, SpawnTube, FacilityTurret, TurretAmmoBox, TurretWeapon, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BlockMapEntity
2. WorldEntity
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Orientation: Vector3
   Definition Classes
     WorldEntity
2.  abstract def Orientation_=(vec: Vector3): Vector3
   Definition Classes
     WorldEntity
3.  abstract def Position: Vector3
   Definition Classes
     WorldEntity
4.  abstract def Position_=(vec: Vector3): Vector3
   Definition Classes
     WorldEntity
5.  abstract def Velocity: Option[Vector3]
   Definition Classes
     WorldEntity
6.  abstract def Velocity_=(vec: Option[Vector3]): Option[Vector3]
   Definition Classes
     WorldEntity

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Velocity_=(vec: Vector3): Option[Vector3]
   Definition Classes
     WorldEntity
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def blockMapEntry: Option[BlockMapEntry]

   internal data regarding an active representation on a blockmap

7.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

   internal data regarding an active representation on a blockmap

8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
16.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
17.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from WorldEntity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped